#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from distutils.core import setup
version = '1.3.2'

# files to install
inst_images = ['images/lybniz.png'] 
inst_dbus = ['maemo_lybniz.service']
inst_desktop = [ 'lybniz.desktop' ]
inst_icon = ['lybniz.png' ]
inst_icon_sca = ['images/lybniz.png']
inst_py = ['lybniz.py']
docs = ['doc/lybniz.html']
docs_images = ['doc/images/key-close.png', 'doc/images/key-fullscreen.png', 'doc/images/key-zoomin.png', 
'doc/images/key-enter.png', 'doc/images/key-menu.png', 'doc/images/key-zoomout.png']

data_files = [
  ('share/lybniz/images', inst_images),
  ('share/applications/hildon', inst_desktop),
  ('share/dbus-1/services',  inst_dbus),
  ('share/icons/hicolor/26x26/hildon/',  inst_icon),
  ('share/icons/hicolor/scalable/hildon/',  inst_icon_sca),
  ('share/lybniz',  inst_py),
  ('share/lybniz/doc',  docs),  
  ('share/lybniz/doc/images',  docs_images),
]

setup(
  name = 'lybniz',
  version = '1.3.2',
  description = 'Graph Plotter',
  author = 'Thomas Führinger, Sam Tygier',
  author_email = 'ThomasFuhringer@Yahoo.com, samtygier@yahoo.co.uk',
  contact = 'Sam Tygier',
  contact_email = 'samtygier@yahoo.co.uk',
  url = 'http://lybniz2.sourceforge.net/',
  data_files = data_files,
  license = 'BSD',   
)



data_files = [('share/applications',['lybniz.desktop']),('share/pixmaps',['images/lybniz.png']),('share/gnome/help/lybniz/C',['doc/lybniz.xml']),('share/gnome/help/lybniz/C/figures',['doc/figures/lybniz_colour_graph_small.png'])]


